## ros-eloquent-rmw-fastrtps-cpp 0.8.2

=== debian/changelog ===
ros-eloquent-rmw-fastrtps-cpp (0.8.2-1bionic) bionic; urgency=high

  * Update maintainer list for Eloquent (#473 <https://github.com/ros2/rmw_fastrtps/issues/473>)
  * Contributors: Michael Jeronimo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-rmw-fastrtps-cpp (0.8.1-1bionic) bionic; urgency=high

  * use return_loaned_message_from (#334 <https://github.com/ros2/rmw_fastrtps/issues/334>)
  * Restrict traffic to localhost only if env var is provided (#331 <https://github.com/ros2/rmw_fastrtps/issues/331>)
  * Zero copy api (#322 <https://github.com/ros2/rmw_fastrtps/issues/322>)
  * update signature for added pub/sub options (#329 <https://github.com/ros2/rmw_fastrtps/issues/329>)
  * Contributors: Brian Marchi, Karsten Knese, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-cpp (0.8.0-1bionic) bionic; urgency=high

  * Add function for getting clients by node (#293 <https://github.com/ros2/rmw_fastrtps/issues/293>)
  * Implement get_actual_qos() for subscriptions (#287 <https://github.com/ros2/rmw_fastrtps/issues/287>)
  * Fix error message (#290 <https://github.com/ros2/rmw_fastrtps/issues/290>)
  * Contributors: Jacob Perron, M. M

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Sep 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-cpp (0.7.3-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 May 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-cpp (0.7.2-1bionic) bionic; urgency=high

  * Centralize topic name creation logic and update to match FastRTPS 1.8 API (#272 <https://github.com/ros2/rmw_fastrtps/issues/272>)
  * Contributors: Nick Burek

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-cpp (0.7.1-1bionic) bionic; urgency=high

  * Support arbitrary message namespaces  (#266 <https://github.com/ros2/rmw_fastrtps/issues/266>)
  * Add qos interfaces with no-op (#271 <https://github.com/ros2/rmw_fastrtps/issues/271>)
  * Updates for preallocation API. (#274 <https://github.com/ros2/rmw_fastrtps/issues/274>)
  * Contributors: Jacob Perron, Michael Carroll, Ross Desmond

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-cpp (0.7.0-1bionic) bionic; urgency=high

  * Add function to get publisher actual qos settings (#267 <https://github.com/ros2/rmw_fastrtps/issues/267>)
  * pass context to wait set and fini context (#252 <https://github.com/ros2/rmw_fastrtps/issues/252>)
  * Improve service_is_available logic to protect that client is waiting forever (#238 <https://github.com/ros2/rmw_fastrtps/issues/238>)
  * Merge pull request #250 <https://github.com/ros2/rmw_fastrtps/issues/250> from ros2/support_static_lib
  * use namespace_prefix from shared package
  * Contributors: Dirk Thomas, DongheeYe, William Woodall, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 13 Apr 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-cpp (0.6.1-1bionic) bionic; urgency=high

  * Add topic cache object for managing topic relations (#236 <https://github.com/ros2/rmw_fastrtps/issues/236>)
  * Fastrtps 1.7.0 (#233 <https://github.com/ros2/rmw_fastrtps/issues/233>)
  * RMW_FastRTPS configuration from XML only (#243 <https://github.com/ros2/rmw_fastrtps/issues/243>)
  * refactor to support init options and context (#237 <https://github.com/ros2/rmw_fastrtps/issues/237>)
  * Methods to retrieve matched counts on pub/sub (#234 <https://github.com/ros2/rmw_fastrtps/issues/234>)
  * use uint8_array (#240 <https://github.com/ros2/rmw_fastrtps/issues/240>)
  * Contributors: Juan Carlos, Karsten Knese, Michael Carroll, MiguelCompany, Ross Desmond, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Dec 2018 06:00:00 -0000

ros-eloquent-rmw-fastrtps-cpp (0.6.0-1bionic) bionic; urgency=high

  * Add semicolons to all RCLCPP and RCUTILS macros. (#229 <https://github.com/ros2/rmw_fastrtps/issues/229>)
  * Include node namespaces in get_node_names (#224 <https://github.com/ros2/rmw_fastrtps/issues/224>)
  * add rmw_get_serialization_format (#215 <https://github.com/ros2/rmw_fastrtps/issues/215>)
  * Merge pull request #218 <https://github.com/ros2/rmw_fastrtps/issues/218> from ros2/pr203
  * Revert "fix template closing indentation (#214 <https://github.com/ros2/rmw_fastrtps/issues/214>)"
  * fix template closing indentation (#214 <https://github.com/ros2/rmw_fastrtps/issues/214>)
  * Contributors: Chris Lalancette, Dirk Thomas, Karsten Knese, Michael Carroll, Miguel Company, Mikael Arguedas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 06:00:00 -0000

ros-eloquent-rmw-fastrtps-cpp (0.5.1-1bionic) bionic; urgency=high

  * update maintainer
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 Jun 2018 05:00:00 -0000

ros-eloquent-rmw-fastrtps-cpp (0.5.0-1bionic) bionic; urgency=high

  * Avoid allocations (#211 <https://github.com/ros2/rmw_fastrtps/issues/211>)
  * Temporary buffer remove (#207 <https://github.com/ros2/rmw_fastrtps/issues/207>)
  * Validate the buffer_ of CustomServiceRequest object before using it to (#210 <https://github.com/ros2/rmw_fastrtps/issues/210>)
  * update usage of rcutils_join_path() (#208 <https://github.com/ros2/rmw_fastrtps/issues/208>)
  * Expose raw CDR stream for publish and subscribe (#186 <https://github.com/ros2/rmw_fastrtps/issues/186>)
  * Remove topic partitions (#192 <https://github.com/ros2/rmw_fastrtps/issues/192>)
  * Fix leak if client reponse is never taken (#201 <https://github.com/ros2/rmw_fastrtps/issues/201>)
  * Revert "Export rmw_fastrtps_cpp target" (#200 <https://github.com/ros2/rmw_fastrtps/issues/200>)
  * Support access control  (#197 <https://github.com/ros2/rmw_fastrtps/issues/197>)
  * Export rmw_fastrtps_cpp target (#198 <https://github.com/ros2/rmw_fastrtps/issues/198>)

